Skip to content
Payments & FinancePayments

Get payment settings

Returns the capture mode, whether manual payments are on and the default connection.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/payments/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "storeId": "7204558912004327977",  "captureMode": "automaticAtCheckout",  "manualPaymentsEnabled": true}